/* --------------------------------------------------------------------------------------------
    ## Author. Delfiini Noeul
    ## Date. 19.02.28
    ## Republish Date. 19.03.01
-------------------------------------------------------------------------------------------- */
jQuery(document).bind('contextmenu',function(e){return false;});
jQuery(document).bind('selectstart',function(e){return false;});
jQuery(document).bind('dragstart',function(e){return false;});


// --------------------------------------------------------------------------------------------
// ** 언어 설정
// --------------------------------------------------------------------------------------------
switch (lang){
    case "ko": // lang의 값이 ko인 경우.
        if(DateType == 'short'){
            var days = ["일","월","화","수","목","금","토"];
        } else {
            var days = ["일요일","월요일","화요일","수요일","목요일","금요일","토요일"];
        }
        var months=["01","02","03","04","05","06","07","08","09","10","11","12"];
    break;
    default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
        if(DateType == 'short'){
            var days = ["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];
        } else {
            var days = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
        }
        var months=["01","02","03","04","05","06","07","08","09","10","11","12"];
    break;
}


// --------------------------------------------------------------------------------------------
// ** 시간 설정
// --------------------------------------------------------------------------------------------
function updateClock() {
    var currentTime = new Date();
    var currentYear = currentTime.getFullYear();
    var currentHours = currentTime.getHours();
    var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
    var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
    var currentDate = currentTime.getDate() < 10 ? '0' + currentTime.getDate() : currentTime.getDate();
        timeOfDay = ( currentHours < 12 ) ? "am" : "pm";

    if (Clock == "24h") { // 24시간 형식일 경우
        timeOfDay = "";
        currentHours = ( currentHours < 10 ? "0" : "" ) + currentHours;
        currentTimeString = currentHours + ":" + currentMinutes;
            document.getElementById("hour").innerHTML = currentHours;
            document.getElementById("minute").innerHTML = currentMinutes;
            document.getElementById("ampm").innerHTML = timeOfDay;
     }
    if (Clock == "12h") { // 12시간 형식일 경우
        currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
        currentHours = ( currentHours == 0 ) ? 12 : currentHours;
        currentHours = ( currentHours < 10 ) ? '0' + currentHours : currentHours;
        currentTimeString = currentHours + ":" + currentMinutes;
            document.getElementById("hour").innerHTML = currentHours;
            document.getElementById("minute").innerHTML = currentMinutes;
            document.getElementById("ampm").innerHTML = timeOfDay;
    }
    document.getElementById("weekday").innerHTML = days[currentTime.getDay()];
    document.getElementById("date").innerHTML = currentDate;
    document.getElementById("month").innerHTML = months[currentTime.getMonth()];
    document.getElementById("year").innerHTML = currentYear;

    if (sWeekDay == true) {
        jQuery('#weekday').removeClass('hidden');
    } else {
        jQuery('#weekday').addClass('hidden');
    };
    if (sDay == true) {
        jQuery('#date').removeClass('hidden');
    } else {
        jQuery('#date').addClass('hidden');
    };
    if (sMonth == true) {
        jQuery('#month').removeClass('hidden');
    } else {
        jQuery('#month').addClass('hidden');
    };
    if (sYear == true) {
        jQuery('#year').removeClass('hidden');
    } else {
        jQuery('#year').addClass('hidden');
    };
}

function update(){
    updateClock();
    setInterval("updateClock();", 1000);
}

jQuery(document).ready(function(){
    update();
});


// --------------------------------------------------------------------------------------------
// ** 날씨 및 시스템 설정
// --------------------------------------------------------------------------------------------
if (WeatherView == true){
    function mainUpdate(type){
        if(type == "weather"){
            if(lang == 'ko'){
                jQuery('#desc').html(weather.condition); // 현재 날씨 정보
            } else {
                jQuery('#desc').html(weatherdesc[weather.conditionCode]); // -- 현재 날씨 정보 사용중인 언어
            }
            jQuery('#naturalCondition').html(weather.naturalCondition); // -- 오늘의 기상 정보
            jQuery('#city').html(weather.city); // -- 자신의 지역
            jQuery('#city2').html(weather.city); // -- 자신의 지역
            jQuery('#temp').html(weather.temperature+"&deg;"+weather.celsius); // 현재 온도
            jQuery('#hightemp').html(weather.high+"&deg;"); // 최고 온도
            jQuery('#lowtemp').html(weather.low+"&deg;"); // 최저 온도
            jQuery('#updateTime').html(weather.updateTimeString); // 최근 업데이트 시간
            jQuery('#weatherIcon').attr('src','plugin/images/weather'+weather.conditionCode+'.png'); // 날씨 아이콘
        }
    }
    jQuery(document).ready(function(){
        setInterval('mainUpdate("weather");', WeatherInterval*60*1000);
        jQuery('#btn_weather').click(function(){
            if(jQuery('body').hasClass('weather_detail_view')){
                jQuery('#weather_short').show();
                jQuery('#weather_detail').hide();
                jQuery('body').removeClass('weather_detail_view');
            } else {
                jQuery('#weather_short').hide();
                jQuery('#weather_detail').show();
                jQuery('body').addClass('weather_detail_view');
            }
        });
        if (WeatherUpdateTime == false){
            jQuery('#updateTime').hide();
        }
    });
} else {
    jQuery(document).ready(function(){
        jQuery('#btn_weather').hide();
    });
};


jQuery(document).ready(function(){
    jQuery('#style').append('body, a {\n    color: '+color+';\n}\n.date-area {\n    left: '+DateLeftPosition+'px;\n}\n.calendaritem .current {\n    color: '+todayColor+';\n}\n');
    setInterval(function(){
        jQuery('body').addClass('aniEase');
    }, 100);
    jQuery('.reflash').click(function(){
        location.reload();
        return false;
    });
});


// --------------------------------------------------------------------------------------------
// ** 캘린더
// --------------------------------------------------------------------------------------------
function tcalendar(options) {
    'use strict';
    var getTimes = function () {
            var d = new Date(),
                funcs = {
                    /*
                    hour: function () {
                        var hour = (options.twentyfour === true) ? d.getHours() : (d.getHours() + 11) % 12 + 1;
                        hour = (options.padzero === true) ? (hour < 10 ? "0" + hour : " " + hour) : hour;
                        return hour;
                    },
                    minute: function () {
                        return (d.getMinutes() < 10) ? "0" + d.getMinutes() : d.getMinutes();
                    },
                    */
                    date: function () {
                        return d.getDate();
                    },
                    day: function () {
                        return d.getDay();
                    },
                    month: function () {
                        return d.getMonth();
                    },
                    year: function () {
                        return d.getFullYear();
                    },
                    sdaytext: function () {
                        var stextdays = [
                            "cal0day",
                            "cal1day",
                            "cal2day",
                            "cal3day",
                            "cal4day",
                            "cal5day",
                            "cal6day",
                            "cal7day",
                            "cal8day",
                            "cal9day",
                            "cal10day",
                            "cal11day",
                            "cal12day",
                            "cal13day",
                            "cal14day",
                            "cal15day",
                            "cal16day",
                            "cal17day",
                            "cal18day",
                            "cal19day"
                        ];
                        return stextdays[this.day()];
                    }
                };
            options.success(funcs);
            setTimeout(function () {
                getTimes();
            }, options.refresh);
        };
    getTimes();
}

jQuery(document).ready(function(){
    for (num = 0; num < calNum; num++){
        jQuery('#linecalendar').append('<div class="calendaritem"><div id="cal'+num+'day"></div></div>');
    }
    jQuery('#calendar').attr('style','top: '+calPosition+'px; background: rgba(0,0,0,0.'+calOpacity+');');
    jQuery('.calendaritem').attr('style','width: '+(100/calNum)+'%');
    tcalendar({
        twentyfour : false,
        padzero : false,
        refresh : 1000 * calInterval,
        success: function(tcalendar){
            var todayD = tcalendar.sdaytext();
            jQuery('.calendaritem div').removeClass('current');
            jQuery('#'+todayD).html(tcalendar.date());
            jQuery('#'+todayD).addClass('current');

            var dayNum = tcalendar.day()
            var daysInMonth = [31,0,31,30,31,30,31,31,30,31,30,31]
                daysInMonth[1]=((tcalendar.year()%100 != 0) && (tcalendar.year()%4 == 0) || (tcalendar.year()%400 == 0)) ? 29 : 28;
            var month = tcalendar.month();
            var days = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19]
            for (i = 0; i < days.length; i++) {
                days[i] += tcalendar.date() - tcalendar.day();
                if (days[i] > daysInMonth[month]) {
                    days[i] -= daysInMonth[month];
                }
                if (days[i] < 1) {
                    days[i] = daysInMonth[month-1] - days[i];
                }
                jQuery('#cal'+i+'day').html(days[i]);
            }
        }
    });
});