/* --------------------------------------------------------------------------------------------
    ## Author. Delfiini Noeul
    ## Date. 19.02.28
    ## Republish Date. 19.03.01
    ## Theme version. Noeul LS Theme - Sakura
-------------------------------------------------------------------------------------------- */

// --------------------------------------------------------------------------------------------
// ** 마우스 이벤트 방지
// --------------------------------------------------------------------------------------------
jQuery(document).bind('contextmenu',function(e){return false;});
jQuery(document).bind('selectstart',function(e){return false;});
jQuery(document).bind('dragstart',function(e){return false;});


// --------------------------------------------------------------------------------------------
// ** 언어 설정
// --------------------------------------------------------------------------------------------
switch (lang){
    case "ko": // lang의 값이 ko인 경우.
        if(DateType == 'short'){
            var days = ["일","월","화","수","목","금","토"];
        } else {
            var days = ["일요일","월요일","화요일","수요일","목요일","금요일","토요일"];
        }
        var months=["01월","02월","03월","04월","05월","06월","07월","08월","09월","10월","11월","12월"];
    break;
    default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
        if(DateType == 'short'){
            var days = ["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];
            var months=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];
        } else {
            var days = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
            var months=["January","February","March","April","May","June","July","August","September","October","November","December"];
        }
    break;
}


// --------------------------------------------------------------------------------------------
// ** 시간 설정
// --------------------------------------------------------------------------------------------
function updateClock(){
    var currentTime = new Date();
    var currentYear = currentTime.getFullYear();
    var currentHours = currentTime.getHours();
    var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
    var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
    var currentDate = currentTime.getDate() < 10 ? '0' + currentTime.getDate() : currentTime.getDate();
    timeOfDay = ( currentHours < 12 ) ? 'am' : 'pm';

    if (Clock == '24h'){ // 24시간 형식일 경우
    timeOfDay = '';
    currentHours = ( currentHours < 10 ? '0' : '' ) + currentHours;
    currentTimeString = currentHours + ':' + currentMinutes;
        document.getElementById('hour').innerHTML = currentHours;
        document.getElementById('minute').innerHTML = currentMinutes;
        document.getElementById('ampm').innerHTML = timeOfDay;
     }
    if (Clock == '12h'){
    currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
    currentHours = ( currentHours == 0 ) ? 12 : currentHours;
    currentHours = ( currentHours < 10 ) ? '0' + currentHours : currentHours;
    currentTimeString = currentHours + ':' + currentMinutes;
        document.getElementById('hour').innerHTML = currentHours;
        document.getElementById('minute').innerHTML = currentMinutes;
        document.getElementById('ampm').innerHTML = timeOfDay;
    }
    switch (lang){
        case 'ko': // lang의 값이 ko인 경우.
            document.getElementById('datetime').innerHTML = '<span id="year">'+currentYear+'년 </span><span id="month">'+months[currentTime.getMonth()]+' </span><span id="date">'+currentDate+'일</span><span id="weekday"> '+days[currentTime.getDay()]+'</span>';
            if (sYear == false){document.getElementById('year').className = 'hidden';}
            if (sMonth == false){document.getElementById('month').className = 'hidden';}
            if (sDay == false){document.getElementById('date').className = 'hidden';}
            if (sWeekDay == false){document.getElementById('weekday').className = 'hidden';}
        break;
        default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
            var ecurrentDate;
            ecurrentDate = currentDate + 'th';
            if (currentDate == '01'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '21'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '31'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '02'){ecurrentDate = currentDate + 'nd';}
            if (currentDate == '22'){ecurrentDate = currentDate + 'nd';}
            if (currentDate == '03'){ecurrentDate = currentDate + 'rd';}
            if (currentDate == '23'){ecurrentDate = currentDate + 'rd';}
            document.getElementById('datetime').innerHTML = '<span id="weekday">'+days[currentTime.getDay()]+', </span><span id="date">'+ecurrentDate+' </span><span id="month">'+months[currentTime.getMonth()]+' </span><span id="year">'+currentYear+'</span>';
            if (sYear == false){document.getElementById('year').className = 'hidden';}
            if (sMonth == false){document.getElementById('month').className = 'hidden';}
            if (sDay == false){document.getElementById('date').className = 'hidden';}
            if (sWeekDay == false){document.getElementById('weekday').className = 'hidden';}
        break;
    }
}


// --------------------------------------------------------------------------------------------
// ** 날씨 및 시스템 설정
// --------------------------------------------------------------------------------------------
if (WeatherView == true){
    function mainUpdate(type){
        if(type == "weather"){
            if(lang == 'ko'){
                jQuery('#desc').html(weather.condition); // 현재 날씨 정보
            } else {
                jQuery('#desc').html(weatherdesc[weather.conditionCode]); // -- 현재 날씨 정보 사용중인 언어
            }
            jQuery('#naturalCondition').html(weather.naturalCondition); // -- 오늘의 기상 정보
            jQuery('#city').html(weather.city); // -- 자신의 지역
            jQuery('#city2').html(weather.city); // -- 자신의 지역
            jQuery('#temp').html(weather.temperature+"&deg;"+weather.celsius); // 현재 온도
            jQuery('#hightemp').html(weather.high+"&deg;"); // 최고 온도
            jQuery('#lowtemp').html(weather.low+"&deg;"); // 최저 온도
            jQuery('#updateTime').html(weather.updateTimeString); // 최근 업데이트 시간
            jQuery('#weatherIcon').attr('src','assets/images/'+IconSet+"/"+weather.conditionCode+".png"); // 날씨 아이콘
        }
    }
    jQuery(document).ready(function(){
        setInterval('mainUpdate("weather");', WeatherInterval*60*1000);
        jQuery('#btn_weather').click(function(){
            if($('body').hasClass('weather_detail_view')){
                $('#weather_short').show();
                $('#weather_detail').hide();
                $('body').removeClass('weather_detail_view');
            } else {
                $('#weather_short').hide();
                $('#weather_detail').show();
                $('body').addClass('weather_detail_view');
            }
        });
    });
} else {
    jQuery(document).ready(function(){
        jQuery('#btn_weather').hide();
    });
};


// --------------------------------------------------------------------------------------------
// ** 이벤트 설정
// --------------------------------------------------------------------------------------------
function updateEvent(){
    switch (lang){
    case "ko": // lang의 값이 ko인 경우.
        var lText = KoEventLeftText;
        var rText = KoEventRightText;
    break;
    case "ko": // lang의 값이 en인 경우.
        var lText = EnEventLeftText;
        var rText = EnEventReftText;
    break;
    default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
        var lText = EnEventLeftText;
        var rText = EnEventReftText;
    break;
    }

    if (Event == true){
        var anniversary = new Date(eYear, eMonth-1, eDay-FirstdayCount+1);
        //d-day
        var today = new Date();
        var count = today.getTime() - anniversary.getTime();
        var d_day = document.getElementById("d_day");
            count = "'"+Math.ceil(count/(24*60*60*1000))+"'";
            //d_day.innerHTML = count
        document.getElementById("eventarea").innerHTML = '<div id="event">\n    <span>'+lText+'</span> <span class="interval">'+count+'</span> <span>'+rText+'</span>\n</div>';
    } else {
        jQuery("#eventarea").addClass("hidden");
    };
}



// --------------------------------------------------------------------------------------------
// ** 시간 갱신 주기
// --------------------------------------------------------------------------------------------
function update(){
    // 날짜 및 시간 갱신 시간 (1초마다 갱신)
    updateClock();
    setInterval("updateClock();", 1000);
}
// 이벤트 갱신 시간 (1분마다 갱신)
function eventinterval(){
    updateEvent();
    setInterval("updateEvent();", 60*1000);
}



/* ----------------------------------------------------------------------------------------
    ## jQuery Mode (문서를 모두 읽어 온 뒤, 아래 구문을 실행)
---------------------------------------------------------------------------------------- */
jQuery(document).ready(function(){

    jQuery(".interval").load(update());
    jQuery(".einterval").load(eventinterval());


    // --------------------------------------------------------------------------------------------
    // ** 정렬
    // --------------------------------------------------------------------------------------------
    if (timeAlign == 'left'){
        jQuery('.clock_info').addClass('left');
    } else if (timeAlign == 'center'){
        jQuery('.clock_info').addClass('center');
    } else {
        jQuery('.clock_info').addClass('right');
    }


    // --------------------------------------------------------------------------------------------
    // ** 업데이트 시간 표시
    // --------------------------------------------------------------------------------------------
    if (WeatherUpdateTime == false){
        jQuery('#updateTime').hide();
    }


    // --------------------------------------------------------------------------------------------
    // ** 언어에 따른 텍스트 설정
    // --------------------------------------------------------------------------------------------
    switch (lang){
    case "ko":
        document.getElementById("copy").innerHTML = KoText;
        jQuery('body').addClass('ko');
    break;
    default:
        document.getElementById("copy").innerHTML = EnText;
        jQuery('body').addClass('en');
    break;
    }


    // --------------------------------------------------------------------------------------------
    // ** 사용자 폰트 사용 유무 지정
    // --------------------------------------------------------------------------------------------
    if (UserFont == true){
        document.getElementById("userFont").innerHTML = "@font-face {\n    font-family: 'customfonts';\n    src: url('assets/fonts/userfont.ttf');\n}\nhtml, body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, fieldset, input, p, blockquote, th, td, footer {\n    font: 100% 'customfonts';\n}\n";
    } else {
        document.getElementById("userFont").innerHTML = '\n/* NO! Custom User Font */\n';
    };


    // --------------------------------------------------------------------------------------------
    // ** 사용자 설정 - date위치, 글자색상, 글자크기 지정
    // --------------------------------------------------------------------------------------------
    var style = document.getElementById('customStyle');
        style.innerHTML = '\n.clock_info {\n    top: '+ClockInfoPosition+'px;\n    color: '+TextColor+';\n}\n.clock_wrap {\n    font-size: '+ClockFontSize+'px;\n}\n.date_wrap {\n    margin-top: '+ClockGap+'px;\n    font-size: '+DateFontSize+'px;\n}\n.weather_wrap {\n    margin-top: '+WeatherGap+'px;\n}\n.weather_wrap span {\n    font-size: '+WeatherFontSize+'px;\n    font-weight: '+WeatherFontWeight+';\n}\n.event_info {\n    margin-top: '+EventGap+'px;\n    font-size: '+EventFontSize+'px;\n}\n.event_info span {\n    font-weight: '+EventFontWeight+';\n}\n';


    // --------------------------------------------------------------------------------------------
    // ** 하단 텍스트 설정
    // --------------------------------------------------------------------------------------------
    switch (CopyrightFontTransform){
        case "up":
            var transform = "uppercase";
        break;
        case "low":
            var transform = "lowercase";
        break;
        default:
            var transform = "none";
        break;
    }
    document.getElementById("copyStyle").innerHTML = '#copyright {\n    bottom: '+CopyrightPosition+'px;\n    z-index: 100;\n    font-size: '+CopyrightFontSize+'px;\n    color: '+TextColor+';\n    font-weight: '+CopyrightFontStyle+';\n    text-align: center;\n    text-transform: '+transform+';\n    background: rgba(0,0,0,.3);\n}';
    document.getElementById("copyright").innerHTML = CopyrightText;

    if (CopyrightBG == true){
        jQuery('#copyright').attr('style','background: '+CopyrightBGColor+';');
    } else {
        jQuery('#copyright').attr('style','background: transparent;');
    }

});
// end Document Ready